XCB 1.12

Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
XCB Xv API

Xv XCB Protocol Implementation. More...

## Data Structures
struct | xcb_xv_port_iterator_t
| xcb_xv_port_iterator_t More...
struct | xcb_xv_encoding_iterator_t
| xcb_xv_encoding_iterator_t More...
struct | xcb_xv_rational_t
| xcb_xv_rational_t More...
struct | xcb_xv_rational_iterator_t
| xcb_xv_rational_iterator_t More...
struct | xcb_xv_format_t
| xcb_xv_format_t More...
struct | xcb_xv_format_iterator_t
| xcb_xv_format_iterator_t More...
struct | xcb_xv_adaptor_info_t
| xcb_xv_adaptor_info_t More...
struct | xcb_xv_adaptor_info_iterator_t
| xcb_xv_adaptor_info_iterator_t More...
struct | xcb_xv_encoding_info_t
| xcb_xv_encoding_info_t More...
struct | xcb_xv_encoding_info_iterator_t
| xcb_xv_encoding_info_iterator_t More...
struct | xcb_xv_image_t
| xcb_xv_image_t More...
struct | xcb_xv_image_iterator_t
| xcb_xv_image_iterator_t More...
struct | xcb_xv_attribute_info_t
| xcb_xv_attribute_info_t More...
struct | xcb_xv_attribute_info_iterator_t
| xcb_xv_attribute_info_iterator_t More...
struct | xcb_xv_image_format_info_t
| xcb_xv_image_format_info_t More...
struct | xcb_xv_image_format_info_iterator_t
| xcb_xv_image_format_info_iterator_t More...
struct | xcb_xv_bad_port_error_t
| xcb_xv_bad_port_error_t More...
struct | xcb_xv_bad_encoding_error_t
| xcb_xv_bad_encoding_error_t More...
struct | xcb_xv_bad_control_error_t
| xcb_xv_bad_control_error_t More...
struct | xcb_xv_video_notify_event_t
| xcb_xv_video_notify_event_t More...
struct | xcb_xv_port_notify_event_t
| xcb_xv_port_notify_event_t More...
struct | xcb_xv_query_extension_cookie_t
| xcb_xv_query_extension_cookie_t More...
struct | xcb_xv_query_extension_request_t
| xcb_xv_query_extension_request_t More...
struct | xcb_xv_query_extension_reply_t
| xcb_xv_query_extension_reply_t More...
struct | xcb_xv_query_adaptors_cookie_t
| xcb_xv_query_adaptors_cookie_t More...
struct | xcb_xv_query_adaptors_request_t
| xcb_xv_query_adaptors_request_t More...
struct | xcb_xv_query_adaptors_reply_t
| xcb_xv_query_adaptors_reply_t More...
struct | xcb_xv_query_encodings_cookie_t
| xcb_xv_query_encodings_cookie_t More...
struct | xcb_xv_query_encodings_request_t
| xcb_xv_query_encodings_request_t More...
struct | xcb_xv_query_encodings_reply_t
| xcb_xv_query_encodings_reply_t More...
struct | xcb_xv_grab_port_cookie_t
| xcb_xv_grab_port_cookie_t More...
struct | xcb_xv_grab_port_request_t
| xcb_xv_grab_port_request_t More...
struct | xcb_xv_grab_port_reply_t
| xcb_xv_grab_port_reply_t More...
struct | xcb_xv_ungrab_port_request_t
| xcb_xv_ungrab_port_request_t More...
struct | xcb_xv_put_video_request_t
| xcb_xv_put_video_request_t More...
struct | xcb_xv_put_still_request_t
| xcb_xv_put_still_request_t More...
struct | xcb_xv_get_video_request_t
| xcb_xv_get_video_request_t More...
struct | xcb_xv_get_still_request_t
| xcb_xv_get_still_request_t More...
struct | xcb_xv_stop_video_request_t
| xcb_xv_stop_video_request_t More...
struct | xcb_xv_select_video_notify_request_t
| xcb_xv_select_video_notify_request_t More...
struct | xcb_xv_select_port_notify_request_t
| xcb_xv_select_port_notify_request_t More...
struct | xcb_xv_query_best_size_cookie_t
| xcb_xv_query_best_size_cookie_t More...
struct | xcb_xv_query_best_size_request_t
| xcb_xv_query_best_size_request_t More...
struct | xcb_xv_query_best_size_reply_t
| xcb_xv_query_best_size_reply_t More...
struct | xcb_xv_set_port_attribute_request_t
| xcb_xv_set_port_attribute_request_t More...
struct | xcb_xv_get_port_attribute_cookie_t
| xcb_xv_get_port_attribute_cookie_t More...
struct | xcb_xv_get_port_attribute_request_t
| xcb_xv_get_port_attribute_request_t More...
struct | xcb_xv_get_port_attribute_reply_t
| xcb_xv_get_port_attribute_reply_t More...
struct | xcb_xv_query_port_attributes_cookie_t
| xcb_xv_query_port_attributes_cookie_t More...
struct | xcb_xv_query_port_attributes_request_t
| xcb_xv_query_port_attributes_request_t More...
struct | xcb_xv_query_port_attributes_reply_t
| xcb_xv_query_port_attributes_reply_t More...
struct | xcb_xv_list_image_formats_cookie_t
| xcb_xv_list_image_formats_cookie_t More...
struct | xcb_xv_list_image_formats_request_t
| xcb_xv_list_image_formats_request_t More...
struct | xcb_xv_list_image_formats_reply_t
| xcb_xv_list_image_formats_reply_t More...
struct | xcb_xv_query_image_attributes_cookie_t
| xcb_xv_query_image_attributes_cookie_t More...
struct | xcb_xv_query_image_attributes_request_t
| xcb_xv_query_image_attributes_request_t More...
struct | xcb_xv_query_image_attributes_reply_t
| xcb_xv_query_image_attributes_reply_t More...
struct | xcb_xv_put_image_request_t
| xcb_xv_put_image_request_t More...
struct | xcb_xv_shm_put_image_request_t
| xcb_xv_shm_put_image_request_t More...

## Macros
#define | XCB_XV_MAJOR_VERSION 2
#define | XCB_XV_MINOR_VERSION 2
#define | XCB_XV_BAD_PORT 0
#define | XCB_XV_BAD_ENCODING 1
#define | XCB_XV_BAD_CONTROL 2
#define | XCB_XV_VIDEO_NOTIFY 0
#define | XCB_XV_PORT_NOTIFY 1
#define | XCB_XV_QUERY_EXTENSION 0
#define | XCB_XV_QUERY_ADAPTORS 1
#define | XCB_XV_QUERY_ENCODINGS 2
#define | XCB_XV_GRAB_PORT 3
#define | XCB_XV_UNGRAB_PORT 4
#define | XCB_XV_PUT_VIDEO 5
#define | XCB_XV_PUT_STILL 6
#define | XCB_XV_GET_VIDEO 7
#define | XCB_XV_GET_STILL 8
#define | XCB_XV_STOP_VIDEO 9
#define | XCB_XV_SELECT_VIDEO_NOTIFY 10
#define | XCB_XV_SELECT_PORT_NOTIFY 11
#define | XCB_XV_QUERY_BEST_SIZE 12
#define | XCB_XV_SET_PORT_ATTRIBUTE 13
#define | XCB_XV_GET_PORT_ATTRIBUTE 14
#define | XCB_XV_QUERY_PORT_ATTRIBUTES 15
#define | XCB_XV_LIST_IMAGE_FORMATS 16
#define | XCB_XV_QUERY_IMAGE_ATTRIBUTES 17
#define | XCB_XV_PUT_IMAGE 18
#define | XCB_XV_SHM_PUT_IMAGE 19

## Typedefs
typedef uint32_t | xcb_xv_port_t
typedef struct xcb_xv_port_iterator_t | xcb_xv_port_iterator_t
| xcb_xv_port_iterator_t
typedef uint32_t | xcb_xv_encoding_t
typedef struct xcb_xv_encoding_iterator_t | xcb_xv_encoding_iterator_t
| xcb_xv_encoding_iterator_t
typedef enum xcb_xv_type_t | xcb_xv_type_t
typedef enum xcb_xv_image_format_info_type_t | xcb_xv_image_format_info_type_t
typedef enum xcb_xv_image_format_info_format_t | xcb_xv_image_format_info_format_t
typedef enum xcb_xv_attribute_flag_t | xcb_xv_attribute_flag_t
typedef enum xcb_xv_video_notify_reason_t | xcb_xv_video_notify_reason_t
typedef enum xcb_xv_scanline_order_t | xcb_xv_scanline_order_t
typedef enum xcb_xv_grab_port_status_t | xcb_xv_grab_port_status_t
typedef struct xcb_xv_rational_t | xcb_xv_rational_t
| xcb_xv_rational_t
typedef struct xcb_xv_rational_iterator_t | xcb_xv_rational_iterator_t
| xcb_xv_rational_iterator_t
typedef struct xcb_xv_format_t | xcb_xv_format_t
| xcb_xv_format_t
typedef struct xcb_xv_format_iterator_t | xcb_xv_format_iterator_t
| xcb_xv_format_iterator_t
typedef struct xcb_xv_adaptor_info_t | xcb_xv_adaptor_info_t
| xcb_xv_adaptor_info_t
typedef struct xcb_xv_adaptor_info_iterator_t | xcb_xv_adaptor_info_iterator_t
| xcb_xv_adaptor_info_iterator_t
typedef struct xcb_xv_encoding_info_t | xcb_xv_encoding_info_t
| xcb_xv_encoding_info_t
typedef struct xcb_xv_encoding_info_iterator_t | xcb_xv_encoding_info_iterator_t
| xcb_xv_encoding_info_iterator_t
typedef struct xcb_xv_image_t | xcb_xv_image_t
| xcb_xv_image_t
typedef struct xcb_xv_image_iterator_t | xcb_xv_image_iterator_t
| xcb_xv_image_iterator_t
typedef struct xcb_xv_attribute_info_t | xcb_xv_attribute_info_t
| xcb_xv_attribute_info_t
typedef struct xcb_xv_attribute_info_iterator_t | xcb_xv_attribute_info_iterator_t
| xcb_xv_attribute_info_iterator_t
typedef struct xcb_xv_image_format_info_t | xcb_xv_image_format_info_t
| xcb_xv_image_format_info_t
typedef struct xcb_xv_image_format_info_iterator_t | xcb_xv_image_format_info_iterator_t
| xcb_xv_image_format_info_iterator_t
typedef struct xcb_xv_bad_port_error_t | xcb_xv_bad_port_error_t
| xcb_xv_bad_port_error_t
typedef struct xcb_xv_bad_encoding_error_t | xcb_xv_bad_encoding_error_t
| xcb_xv_bad_encoding_error_t
typedef struct xcb_xv_bad_control_error_t | xcb_xv_bad_control_error_t
| xcb_xv_bad_control_error_t
typedef struct xcb_xv_video_notify_event_t | xcb_xv_video_notify_event_t
| xcb_xv_video_notify_event_t
typedef struct xcb_xv_port_notify_event_t | xcb_xv_port_notify_event_t
| xcb_xv_port_notify_event_t
typedef struct xcb_xv_query_extension_cookie_t | xcb_xv_query_extension_cookie_t
| xcb_xv_query_extension_cookie_t
typedef struct xcb_xv_query_extension_request_t | xcb_xv_query_extension_request_t
| xcb_xv_query_extension_request_t
typedef struct xcb_xv_query_extension_reply_t | xcb_xv_query_extension_reply_t
| xcb_xv_query_extension_reply_t
typedef struct xcb_xv_query_adaptors_cookie_t | xcb_xv_query_adaptors_cookie_t
| xcb_xv_query_adaptors_cookie_t
typedef struct xcb_xv_query_adaptors_request_t | xcb_xv_query_adaptors_request_t
| xcb_xv_query_adaptors_request_t
typedef struct xcb_xv_query_adaptors_reply_t | xcb_xv_query_adaptors_reply_t
| xcb_xv_query_adaptors_reply_t
typedef struct xcb_xv_query_encodings_cookie_t | xcb_xv_query_encodings_cookie_t
| xcb_xv_query_encodings_cookie_t
typedef struct xcb_xv_query_encodings_request_t | xcb_xv_query_encodings_request_t
| xcb_xv_query_encodings_request_t
typedef struct xcb_xv_query_encodings_reply_t | xcb_xv_query_encodings_reply_t
| xcb_xv_query_encodings_reply_t
typedef struct xcb_xv_grab_port_cookie_t | xcb_xv_grab_port_cookie_t
| xcb_xv_grab_port_cookie_t
typedef struct xcb_xv_grab_port_request_t | xcb_xv_grab_port_request_t
| xcb_xv_grab_port_request_t
typedef struct xcb_xv_grab_port_reply_t | xcb_xv_grab_port_reply_t
| xcb_xv_grab_port_reply_t
typedef struct xcb_xv_ungrab_port_request_t | xcb_xv_ungrab_port_request_t
| xcb_xv_ungrab_port_request_t
typedef struct xcb_xv_put_video_request_t | xcb_xv_put_video_request_t
| xcb_xv_put_video_request_t
typedef struct xcb_xv_put_still_request_t | xcb_xv_put_still_request_t
| xcb_xv_put_still_request_t
typedef struct xcb_xv_get_video_request_t | xcb_xv_get_video_request_t
| xcb_xv_get_video_request_t
typedef struct xcb_xv_get_still_request_t | xcb_xv_get_still_request_t
| xcb_xv_get_still_request_t
typedef struct xcb_xv_stop_video_request_t | xcb_xv_stop_video_request_t
| xcb_xv_stop_video_request_t
typedef struct xcb_xv_select_video_notify_request_t | xcb_xv_select_video_notify_request_t
| xcb_xv_select_video_notify_request_t
typedef struct xcb_xv_select_port_notify_request_t | xcb_xv_select_port_notify_request_t
| xcb_xv_select_port_notify_request_t
typedef struct xcb_xv_query_best_size_cookie_t | xcb_xv_query_best_size_cookie_t
| xcb_xv_query_best_size_cookie_t
typedef struct xcb_xv_query_best_size_request_t | xcb_xv_query_best_size_request_t
| xcb_xv_query_best_size_request_t
typedef struct xcb_xv_query_best_size_reply_t | xcb_xv_query_best_size_reply_t
| xcb_xv_query_best_size_reply_t
typedef struct xcb_xv_set_port_attribute_request_t | xcb_xv_set_port_attribute_request_t
| xcb_xv_set_port_attribute_request_t
typedef struct xcb_xv_get_port_attribute_cookie_t | xcb_xv_get_port_attribute_cookie_t
| xcb_xv_get_port_attribute_cookie_t
typedef struct xcb_xv_get_port_attribute_request_t | xcb_xv_get_port_attribute_request_t
| xcb_xv_get_port_attribute_request_t
typedef struct xcb_xv_get_port_attribute_reply_t | xcb_xv_get_port_attribute_reply_t
| xcb_xv_get_port_attribute_reply_t
typedef struct xcb_xv_query_port_attributes_cookie_t | xcb_xv_query_port_attributes_cookie_t
| xcb_xv_query_port_attributes_cookie_t
typedef struct xcb_xv_query_port_attributes_request_t | xcb_xv_query_port_attributes_request_t
| xcb_xv_query_port_attributes_request_t
typedef struct xcb_xv_query_port_attributes_reply_t | xcb_xv_query_port_attributes_reply_t
| xcb_xv_query_port_attributes_reply_t
typedef struct xcb_xv_list_image_formats_cookie_t | xcb_xv_list_image_formats_cookie_t
| xcb_xv_list_image_formats_cookie_t
typedef struct xcb_xv_list_image_formats_request_t | xcb_xv_list_image_formats_request_t
| xcb_xv_list_image_formats_request_t
typedef struct xcb_xv_list_image_formats_reply_t | xcb_xv_list_image_formats_reply_t
| xcb_xv_list_image_formats_reply_t
typedef struct xcb_xv_query_image_attributes_cookie_t | xcb_xv_query_image_attributes_cookie_t
| xcb_xv_query_image_attributes_cookie_t
typedef struct xcb_xv_query_image_attributes_request_t | xcb_xv_query_image_attributes_request_t
| xcb_xv_query_image_attributes_request_t
typedef struct xcb_xv_query_image_attributes_reply_t | xcb_xv_query_image_attributes_reply_t
| xcb_xv_query_image_attributes_reply_t
typedef struct xcb_xv_put_image_request_t | xcb_xv_put_image_request_t
| xcb_xv_put_image_request_t
typedef struct xcb_xv_shm_put_image_request_t | xcb_xv_shm_put_image_request_t
| xcb_xv_shm_put_image_request_t

## Enumerations
enum | xcb_xv_type_t { XCB_XV_TYPE_INPUT_MASK = 1, XCB_XV_TYPE_OUTPUT_MASK = 2, XCB_XV_TYPE_VIDEO_MASK = 4, XCB_XV_TYPE_STILL_MASK = 8, XCB_XV_TYPE_IMAGE_MASK = 16 }
enum | xcb_xv_image_format_info_type_t { XCB_XV_IMAGE_FORMAT_INFO_TYPE_RGB = 0, XCB_XV_IMAGE_FORMAT_INFO_TYPE_YUV = 1 }
enum | xcb_xv_image_format_info_format_t { XCB_XV_IMAGE_FORMAT_INFO_FORMAT_PACKED = 0, XCB_XV_IMAGE_FORMAT_INFO_FORMAT_PLANAR = 1 }
enum | xcb_xv_attribute_flag_t { XCB_XV_ATTRIBUTE_FLAG_GETTABLE = 1, XCB_XV_ATTRIBUTE_FLAG_SETTABLE = 2 }
enum | xcb_xv_video_notify_reason_t { XCB_XV_VIDEO_NOTIFY_REASON_STARTED = 0, XCB_XV_VIDEO_NOTIFY_REASON_STOPPED = 1, XCB_XV_VIDEO_NOTIFY_REASON_BUSY = 2, XCB_XV_VIDEO_NOTIFY_REASON_PREEMPTED = 3, XCB_XV_VIDEO_NOTIFY_REASON_HARD_ERROR = 4 }
enum | xcb_xv_scanline_order_t { XCB_XV_SCANLINE_ORDER_TOP_TO_BOTTOM = 0, XCB_XV_SCANLINE_ORDER_BOTTOM_TO_TOP = 1 }
enum | xcb_xv_grab_port_status_t { XCB_XV_GRAB_PORT_STATUS_SUCCESS = 0, XCB_XV_GRAB_PORT_STATUS_BAD_EXTENSION = 1, XCB_XV_GRAB_PORT_STATUS_ALREADY_GRABBED = 2, XCB_XV_GRAB_PORT_STATUS_INVALID_TIME = 3, XCB_XV_GRAB_PORT_STATUS_BAD_REPLY = 4, XCB_XV_GRAB_PORT_STATUS_BAD_ALLOC = 5 }

## Functions
void | xcb_xv_port_next (xcb_xv_port_iterator_t *i)
xcb_generic_iterator_t | xcb_xv_port_end (xcb_xv_port_iterator_t i)
void | xcb_xv_encoding_next (xcb_xv_encoding_iterator_t *i)
xcb_generic_iterator_t | xcb_xv_encoding_end (xcb_xv_encoding_iterator_t i)
void | xcb_xv_rational_next (xcb_xv_rational_iterator_t *i)
xcb_generic_iterator_t | xcb_xv_rational_end (xcb_xv_rational_iterator_t i)
void | xcb_xv_format_next (xcb_xv_format_iterator_t *i)
xcb_generic_iterator_t | xcb_xv_format_end (xcb_xv_format_iterator_t i)
int | xcb_xv_adaptor_info_sizeof (const void *_buffer)
char * | xcb_xv_adaptor_info_name (const xcb_xv_adaptor_info_t *R)
int | xcb_xv_adaptor_info_name_length (const xcb_xv_adaptor_info_t *R)
xcb_generic_iterator_t | xcb_xv_adaptor_info_name_end (const xcb_xv_adaptor_info_t *R)
xcb_xv_format_t * | xcb_xv_adaptor_info_formats (const xcb_xv_adaptor_info_t *R)
int | xcb_xv_adaptor_info_formats_length (const xcb_xv_adaptor_info_t *R)
xcb_xv_format_iterator_t | xcb_xv_adaptor_info_formats_iterator (const xcb_xv_adaptor_info_t *R)
void | xcb_xv_adaptor_info_next (xcb_xv_adaptor_info_iterator_t *i)
xcb_generic_iterator_t | xcb_xv_adaptor_info_end (xcb_xv_adaptor_info_iterator_t i)
int | xcb_xv_encoding_info_sizeof (const void *_buffer)
char * | xcb_xv_encoding_info_name (const xcb_xv_encoding_info_t *R)
int | xcb_xv_encoding_info_name_length (const xcb_xv_encoding_info_t *R)
xcb_generic_iterator_t | xcb_xv_encoding_info_name_end (const xcb_xv_encoding_info_t *R)
void | xcb_xv_encoding_info_next (xcb_xv_encoding_info_iterator_t *i)
xcb_generic_iterator_t | xcb_xv_encoding_info_end (xcb_xv_encoding_info_iterator_t i)
int | xcb_xv_image_sizeof (const void *_buffer)
uint32_t * | xcb_xv_image_pitches (const xcb_xv_image_t *R)
int | xcb_xv_image_pitches_length (const xcb_xv_image_t *R)
xcb_generic_iterator_t | xcb_xv_image_pitches_end (const xcb_xv_image_t *R)
uint32_t * | xcb_xv_image_offsets (const xcb_xv_image_t *R)
int | xcb_xv_image_offsets_length (const xcb_xv_image_t *R)
xcb_generic_iterator_t | xcb_xv_image_offsets_end (const xcb_xv_image_t *R)
uint8_t * | xcb_xv_image_data (const xcb_xv_image_t *R)
int | xcb_xv_image_data_length (const xcb_xv_image_t *R)
xcb_generic_iterator_t | xcb_xv_image_data_end (const xcb_xv_image_t *R)
void | xcb_xv_image_next (xcb_xv_image_iterator_t *i)
xcb_generic_iterator_t | xcb_xv_image_end (xcb_xv_image_iterator_t i)
int | xcb_xv_attribute_info_sizeof (const void *_buffer)
char * | xcb_xv_attribute_info_name (const xcb_xv_attribute_info_t *R)
int | xcb_xv_attribute_info_name_length (const xcb_xv_attribute_info_t *R)
xcb_generic_iterator_t | xcb_xv_attribute_info_name_end (const xcb_xv_attribute_info_t *R)
void | xcb_xv_attribute_info_next (xcb_xv_attribute_info_iterator_t *i)
xcb_generic_iterator_t | xcb_xv_attribute_info_end (xcb_xv_attribute_info_iterator_t i)
void | xcb_xv_image_format_info_next (xcb_xv_image_format_info_iterator_t *i)
xcb_generic_iterator_t | xcb_xv_image_format_info_end (xcb_xv_image_format_info_iterator_t i)
xcb_xv_query_extension_cookie_t | xcb_xv_query_extension (xcb_connection_t *c)
xcb_xv_query_extension_cookie_t | xcb_xv_query_extension_unchecked (xcb_connection_t *c)
xcb_xv_query_extension_reply_t * | xcb_xv_query_extension_reply (xcb_connection_t *c, xcb_xv_query_extension_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_xv_query_adaptors_sizeof (const void *_buffer)
xcb_xv_query_adaptors_cookie_t | xcb_xv_query_adaptors (xcb_connection_t *c, xcb_window_t window)
xcb_xv_query_adaptors_cookie_t | xcb_xv_query_adaptors_unchecked (xcb_connection_t *c, xcb_window_t window)
int | xcb_xv_query_adaptors_info_length (const xcb_xv_query_adaptors_reply_t *R)
xcb_xv_adaptor_info_iterator_t | xcb_xv_query_adaptors_info_iterator (const xcb_xv_query_adaptors_reply_t *R)
xcb_xv_query_adaptors_reply_t * | xcb_xv_query_adaptors_reply (xcb_connection_t *c, xcb_xv_query_adaptors_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_xv_query_encodings_sizeof (const void *_buffer)
xcb_xv_query_encodings_cookie_t | xcb_xv_query_encodings (xcb_connection_t *c, xcb_xv_port_t port)
xcb_xv_query_encodings_cookie_t | xcb_xv_query_encodings_unchecked (xcb_connection_t *c, xcb_xv_port_t port)
int | xcb_xv_query_encodings_info_length (const xcb_xv_query_encodings_reply_t *R)
xcb_xv_encoding_info_iterator_t | xcb_xv_query_encodings_info_iterator (const xcb_xv_query_encodings_reply_t *R)
xcb_xv_query_encodings_reply_t * | xcb_xv_query_encodings_reply (xcb_connection_t *c, xcb_xv_query_encodings_cookie_t cookie, xcb_generic_error_t **e)
xcb_xv_grab_port_cookie_t | xcb_xv_grab_port (xcb_connection_t *c, xcb_xv_port_t port, xcb_timestamp_t time)
xcb_xv_grab_port_cookie_t | xcb_xv_grab_port_unchecked (xcb_connection_t *c, xcb_xv_port_t port, xcb_timestamp_t time)
xcb_xv_grab_port_reply_t * | xcb_xv_grab_port_reply (xcb_connection_t *c, xcb_xv_grab_port_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_xv_ungrab_port_checked (xcb_connection_t *c, xcb_xv_port_t port, xcb_timestamp_t time)
xcb_void_cookie_t | xcb_xv_ungrab_port (xcb_connection_t *c, xcb_xv_port_t port, xcb_timestamp_t time)
xcb_void_cookie_t | xcb_xv_put_video_checked (xcb_connection_t *c, xcb_xv_port_t port, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t vid_x, int16_t vid_y, uint16_t vid_w, uint16_t vid_h, int16_t drw_x, int16_t drw_y, uint16_t drw_w, uint16_t drw_h)
xcb_void_cookie_t | xcb_xv_put_video (xcb_connection_t *c, xcb_xv_port_t port, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t vid_x, int16_t vid_y, uint16_t vid_w, uint16_t vid_h, int16_t drw_x, int16_t drw_y, uint16_t drw_w, uint16_t drw_h)
xcb_void_cookie_t | xcb_xv_put_still_checked (xcb_connection_t *c, xcb_xv_port_t port, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t vid_x, int16_t vid_y, uint16_t vid_w, uint16_t vid_h, int16_t drw_x, int16_t drw_y, uint16_t drw_w, uint16_t drw_h)
xcb_void_cookie_t | xcb_xv_put_still (xcb_connection_t *c, xcb_xv_port_t port, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t vid_x, int16_t vid_y, uint16_t vid_w, uint16_t vid_h, int16_t drw_x, int16_t drw_y, uint16_t drw_w, uint16_t drw_h)
xcb_void_cookie_t | xcb_xv_get_video_checked (xcb_connection_t *c, xcb_xv_port_t port, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t vid_x, int16_t vid_y, uint16_t vid_w, uint16_t vid_h, int16_t drw_x, int16_t drw_y, uint16_t drw_w, uint16_t drw_h)
xcb_void_cookie_t | xcb_xv_get_video (xcb_connection_t *c, xcb_xv_port_t port, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t vid_x, int16_t vid_y, uint16_t vid_w, uint16_t vid_h, int16_t drw_x, int16_t drw_y, uint16_t drw_w, uint16_t drw_h)
xcb_void_cookie_t | xcb_xv_get_still_checked (xcb_connection_t *c, xcb_xv_port_t port, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t vid_x, int16_t vid_y, uint16_t vid_w, uint16_t vid_h, int16_t drw_x, int16_t drw_y, uint16_t drw_w, uint16_t drw_h)
xcb_void_cookie_t | xcb_xv_get_still (xcb_connection_t *c, xcb_xv_port_t port, xcb_drawable_t drawable, xcb_gcontext_t gc, int16_t vid_x, int16_t vid_y, uint16_t vid_w, uint16_t vid_h, int16_t drw_x, int16_t drw_y, uint16_t drw_w, uint16_t drw_h)
xcb_void_cookie_t | xcb_xv_stop_video_checked (xcb_connection_t *c, xcb_xv_port_t port, xcb_drawable_t drawable)
xcb_void_cookie_t | xcb_xv_stop_video (xcb_connection_t *c, xcb_xv_port_t port, xcb_drawable_t drawable)
xcb_void_cookie_t | xcb_xv_select_video_notify_checked (xcb_connection_t *c, xcb_drawable_t drawable, uint8_t onoff)
xcb_void_cookie_t | xcb_xv_select_video_notify (xcb_connection_t *c, xcb_drawable_t drawable, uint8_t onoff)
xcb_void_cookie_t | xcb_xv_select_port_notify_checked (xcb_connection_t *c, xcb_xv_port_t port, uint8_t onoff)
xcb_void_cookie_t | xcb_xv_select_port_notify (xcb_connection_t *c, xcb_xv_port_t port, uint8_t onoff)
xcb_xv_query_best_size_cookie_t | xcb_xv_query_best_size (xcb_connection_t *c, xcb_xv_port_t port, uint16_t vid_w, uint16_t vid_h, uint16_t drw_w, uint16_t drw_h, uint8_t motion)
xcb_xv_query_best_size_cookie_t | xcb_xv_query_best_size_unchecked (xcb_connection_t *c, xcb_xv_port_t port, uint16_t vid_w, uint16_t vid_h, uint16_t drw_w, uint16_t drw_h, uint8_t motion)
xcb_xv_query_best_size_reply_t * | xcb_xv_query_best_size_reply (xcb_connection_t *c, xcb_xv_query_best_size_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_xv_set_port_attribute_checked (xcb_connection_t *c, xcb_xv_port_t port, xcb_atom_t attribute, int32_t value)
xcb_void_cookie_t | xcb_xv_set_port_attribute (xcb_connection_t *c, xcb_xv_port_t port, xcb_atom_t attribute, int32_t value)
xcb_xv_get_port_attribute_cookie_t | xcb_xv_get_port_attribute (xcb_connection_t *c, xcb_xv_port_t port, xcb_atom_t attribute)
xcb_xv_get_port_attribute_cookie_t | xcb_xv_get_port_attribute_unchecked (xcb_connection_t *c, xcb_xv_port_t port, xcb_atom_t attribute)
xcb_xv_get_port_attribute_reply_t * | xcb_xv_get_port_attribute_reply (xcb_connection_t *c, xcb_xv_get_port_attribute_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_xv_query_port_attributes_sizeof (const void *_buffer)
xcb_xv_query_port_attributes_cookie_t | xcb_xv_query_port_attributes (xcb_connection_t *c, xcb_xv_port_t port)
xcb_xv_query_port_attributes_cookie_t | xcb_xv_query_port_attributes_unchecked (xcb_connection_t *c, xcb_xv_port_t port)
int | xcb_xv_query_port_attributes_attributes_length (const xcb_xv_query_port_attributes_reply_t *R)
xcb_xv_attribute_info_iterator_t | xcb_xv_query_port_attributes_attributes_iterator (const xcb_xv_query_port_attributes_reply_t *R)
xcb_xv_query_port_attributes_reply_t * | xcb_xv_query_port_attributes_reply (xcb_connection_t *c, xcb_xv_query_port_attributes_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_xv_list_image_formats_sizeof (const void *_buffer)
xcb_xv_list_image_formats_cookie_t | xcb_xv_list_image_formats (xcb_connection_t *c, xcb_xv_port_t port)
xcb_xv_list_image_formats_cookie_t | xcb_xv_list_image_formats_unchecked (xcb_connection_t *c, xcb_xv_port_t port)
xcb_xv_image_format_info_t * | xcb_xv_list_image_formats_format (const xcb_xv_list_image_formats_reply_t *R)
int | xcb_xv_list_image_formats_format_length (const xcb_xv_list_image_formats_reply_t *R)
xcb_xv_image_format_info_iterator_t | xcb_xv_list_image_formats_format_iterator (const xcb_xv_list_image_formats_reply_t *R)
xcb_xv_list_image_formats_reply_t * | xcb_xv_list_image_formats_reply (xcb_connection_t *c, xcb_xv_list_image_formats_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_xv_query_image_attributes_sizeof (const void *_buffer)
xcb_xv_query_image_attributes_cookie_t | xcb_xv_query_image_attributes (xcb_connection_t *c, xcb_xv_port_t port, uint32_t id, uint16_t width, uint16_t height)
xcb_xv_query_image_attributes_cookie_t | xcb_xv_query_image_attributes_unchecked (xcb_connection_t *c, xcb_xv_port_t port, uint32_t id, uint16_t width, uint16_t height)
uint32_t * | xcb_xv_query_image_attributes_pitches (const xcb_xv_query_image_attributes_reply_t *R)
int | xcb_xv_query_image_attributes_pitches_length (const xcb_xv_query_image_attributes_reply_t *R)
xcb_generic_iterator_t | xcb_xv_query_image_attributes_pitches_end (const xcb_xv_query_image_attributes_reply_t *R)
uint32_t * | xcb_xv_query_image_attributes_offsets (const xcb_xv_query_image_attributes_reply_t *R)
int | xcb_xv_query_image_attributes_offsets_length (const xcb_xv_query_image_attributes_reply_t *R)
xcb_generic_iterator_t | xcb_xv_query_image_attributes_offsets_end (const xcb_xv_query_image_attributes_reply_t *R)
xcb_xv_query_image_attributes_reply_t * | xcb_xv_query_image_attributes_reply (xcb_connection_t *c, xcb_xv_query_image_attributes_cookie_t cookie, xcb_generic_error_t **e)
int | xcb_xv_put_image_sizeof (const void *_buffer, uint32_t data_len)
xcb_void_cookie_t | xcb_xv_put_image_checked (xcb_connection_t *c, xcb_xv_port_t port, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t id, int16_t src_x, int16_t src_y, uint16_t src_w, uint16_t src_h, int16_t drw_x, int16_t drw_y, uint16_t drw_w, uint16_t drw_h, uint16_t width, uint16_t height, uint32_t data_len, const uint8_t *data)
xcb_void_cookie_t | xcb_xv_put_image (xcb_connection_t *c, xcb_xv_port_t port, xcb_drawable_t drawable, xcb_gcontext_t gc, uint32_t id, int16_t src_x, int16_t src_y, uint16_t src_w, uint16_t src_h, int16_t drw_x, int16_t drw_y, uint16_t drw_w, uint16_t drw_h, uint16_t width, uint16_t height, uint32_t data_len, const uint8_t *data)
uint8_t * | xcb_xv_put_image_data (const xcb_xv_put_image_request_t *R)
int | xcb_xv_put_image_data_length (const xcb_xv_put_image_request_t *R)
xcb_generic_iterator_t | xcb_xv_put_image_data_end (const xcb_xv_put_image_request_t *R)
xcb_void_cookie_t | xcb_xv_shm_put_image_checked (xcb_connection_t *c, xcb_xv_port_t port, xcb_drawable_t drawable, xcb_gcontext_t gc, xcb_shm_seg_t shmseg, uint32_t id, uint32_t offset, int16_t src_x, int16_t src_y, uint16_t src_w, uint16_t src_h, int16_t drw_x, int16_t drw_y, uint16_t drw_w, uint16_t drw_h, uint16_t width, uint16_t height, uint8_t send_event)
xcb_void_cookie_t | xcb_xv_shm_put_image (xcb_connection_t *c, xcb_xv_port_t port, xcb_drawable_t drawable, xcb_gcontext_t gc, xcb_shm_seg_t shmseg, uint32_t id, uint32_t offset, int16_t src_x, int16_t src_y, uint16_t src_w, uint16_t src_h, int16_t drw_x, int16_t drw_y, uint16_t drw_w, uint16_t drw_h, uint16_t width, uint16_t height, uint8_t send_event)

## Variables
xcb_extension_t | xcb_xv_id

## Detailed Description

Xv XCB Protocol Implementation.

## Macro Definition Documentation

## ◆ XCB_XV_BAD_CONTROL

#define XCB_XV_BAD_CONTROL 2

Opcode for xcb_xv_bad_control.

## ◆ XCB_XV_BAD_ENCODING

#define XCB_XV_BAD_ENCODING 1

Opcode for xcb_xv_bad_encoding.

## ◆ XCB_XV_BAD_PORT

#define XCB_XV_BAD_PORT 0

Opcode for xcb_xv_bad_port.

## ◆ XCB_XV_GET_PORT_ATTRIBUTE

#define XCB_XV_GET_PORT_ATTRIBUTE 14

Opcode for xcb_xv_get_port_attribute.

## ◆ XCB_XV_GET_STILL

#define XCB_XV_GET_STILL 8

Opcode for xcb_xv_get_still.

## ◆ XCB_XV_GET_VIDEO

#define XCB_XV_GET_VIDEO 7

Opcode for xcb_xv_get_video.

## ◆ XCB_XV_GRAB_PORT

#define XCB_XV_GRAB_PORT 3

Opcode for xcb_xv_grab_port.

## ◆ XCB_XV_LIST_IMAGE_FORMATS

#define XCB_XV_LIST_IMAGE_FORMATS 16

Opcode for xcb_xv_list_image_formats.

## ◆ XCB_XV_PORT_NOTIFY

#define XCB_XV_PORT_NOTIFY 1

Opcode for xcb_xv_port_notify.

## ◆ XCB_XV_PUT_IMAGE

#define XCB_XV_PUT_IMAGE 18

Opcode for xcb_xv_put_image.

## ◆ XCB_XV_PUT_STILL

#define XCB_XV_PUT_STILL 6

Opcode for xcb_xv_put_still.

## ◆ XCB_XV_PUT_VIDEO

#define XCB_XV_PUT_VIDEO 5

Opcode for xcb_xv_put_video.

## ◆ XCB_XV_QUERY_ADAPTORS

#define XCB_XV_QUERY_ADAPTORS 1

Opcode for xcb_xv_query_adaptors.

## ◆ XCB_XV_QUERY_BEST_SIZE

#define XCB_XV_QUERY_BEST_SIZE 12

Opcode for xcb_xv_query_best_size.

## ◆ XCB_XV_QUERY_ENCODINGS

#define XCB_XV_QUERY_ENCODINGS 2

Opcode for xcb_xv_query_encodings.

## ◆ XCB_XV_QUERY_EXTENSION

#define XCB_XV_QUERY_EXTENSION 0

Opcode for xcb_xv_query_extension.

## ◆ XCB_XV_QUERY_IMAGE_ATTRIBUTES

#define XCB_XV_QUERY_IMAGE_ATTRIBUTES 17

Opcode for xcb_xv_query_image_attributes.

## ◆ XCB_XV_QUERY_PORT_ATTRIBUTES

#define XCB_XV_QUERY_PORT_ATTRIBUTES 15

Opcode for xcb_xv_query_port_attributes.

## ◆ XCB_XV_SELECT_PORT_NOTIFY

#define XCB_XV_SELECT_PORT_NOTIFY 11

Opcode for xcb_xv_select_port_notify.

## ◆ XCB_XV_SELECT_VIDEO_NOTIFY

#define XCB_XV_SELECT_VIDEO_NOTIFY 10

Opcode for xcb_xv_select_video_notify.

## ◆ XCB_XV_SET_PORT_ATTRIBUTE

#define XCB_XV_SET_PORT_ATTRIBUTE 13

Opcode for xcb_xv_set_port_attribute.

## ◆ XCB_XV_SHM_PUT_IMAGE

#define XCB_XV_SHM_PUT_IMAGE 19

Opcode for xcb_xv_shm_put_image.

## ◆ XCB_XV_STOP_VIDEO

#define XCB_XV_STOP_VIDEO 9

Opcode for xcb_xv_stop_video.

## ◆ XCB_XV_UNGRAB_PORT

#define XCB_XV_UNGRAB_PORT 4

Opcode for xcb_xv_ungrab_port.

## ◆ XCB_XV_VIDEO_NOTIFY

#define XCB_XV_VIDEO_NOTIFY 0

Opcode for xcb_xv_video_notify.

## Function Documentation

## ◆ xcb_xv_adaptor_info_end()

xcb_generic_iterator_t xcb_xv_adaptor_info_end | ( | xcb_xv_adaptor_info_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_xv_adaptor_info_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, xcb_generic_iterator_t::rem, and xcb_xv_adaptor_info_next().

## ◆ xcb_xv_adaptor_info_next()

void xcb_xv_adaptor_info_next | ( | xcb_xv_adaptor_info_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_xv_adaptor_info_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xv_adaptor_info_t)

References xcb_generic_iterator_t::data.

Referenced by xcb_xv_adaptor_info_end().

## ◆ xcb_xv_attribute_info_end()

xcb_generic_iterator_t xcb_xv_attribute_info_end | ( | xcb_xv_attribute_info_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_xv_attribute_info_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, xcb_generic_iterator_t::rem, and xcb_xv_attribute_info_next().

## ◆ xcb_xv_attribute_info_next()

void xcb_xv_attribute_info_next | ( | xcb_xv_attribute_info_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_xv_attribute_info_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xv_attribute_info_t)

References xcb_generic_iterator_t::data.

Referenced by xcb_xv_attribute_info_end().

## ◆ xcb_xv_encoding_end()

xcb_generic_iterator_t xcb_xv_encoding_end | ( | xcb_xv_encoding_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_xv_encoding_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_xv_encoding_info_end()

xcb_generic_iterator_t xcb_xv_encoding_info_end | ( | xcb_xv_encoding_info_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_xv_encoding_info_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, xcb_generic_iterator_t::rem, and xcb_xv_encoding_info_next().

## ◆ xcb_xv_encoding_info_next()

void xcb_xv_encoding_info_next | ( | xcb_xv_encoding_info_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_xv_encoding_info_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xv_encoding_info_t)

References xcb_generic_iterator_t::data.

Referenced by xcb_xv_encoding_info_end().

## ◆ xcb_xv_encoding_next()

void xcb_xv_encoding_next | ( | xcb_xv_encoding_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_xv_encoding_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xv_encoding_t)

## ◆ xcb_xv_format_end()

xcb_generic_iterator_t xcb_xv_format_end | ( | xcb_xv_format_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_xv_format_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_xv_format_next()

void xcb_xv_format_next | ( | xcb_xv_format_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_xv_format_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xv_format_t)

## ◆ xcb_xv_get_port_attribute()

xcb_xv_get_port_attribute_cookie_t xcb_xv_get_port_attribute | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_atom_t | attribute
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_get_port_attribute_reply()

xcb_xv_get_port_attribute_reply_t* xcb_xv_get_port_attribute_reply | ( | xcb_connection_t * | c,
|  | xcb_xv_get_port_attribute_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xv_get_port_attribute_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xv_get_port_attribute_unchecked()

xcb_xv_get_port_attribute_cookie_t xcb_xv_get_port_attribute_unchecked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_atom_t | attribute
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_xv_get_still()

xcb_void_cookie_t xcb_xv_get_still | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | vid_x,
|  | int16_t | vid_y,
|  | uint16_t | vid_w,
|  | uint16_t | vid_h,
|  | int16_t | drw_x,
|  | int16_t | drw_y,
|  | uint16_t | drw_w,
|  | uint16_t | drw_h
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_get_still_checked()

xcb_void_cookie_t xcb_xv_get_still_checked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | vid_x,
|  | int16_t | vid_y,
|  | uint16_t | vid_w,
|  | uint16_t | vid_h,
|  | int16_t | drw_x,
|  | int16_t | drw_y,
|  | uint16_t | drw_w,
|  | uint16_t | drw_h
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

## ◆ xcb_xv_get_video()

xcb_void_cookie_t xcb_xv_get_video | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | vid_x,
|  | int16_t | vid_y,
|  | uint16_t | vid_w,
|  | uint16_t | vid_h,
|  | int16_t | drw_x,
|  | int16_t | drw_y,
|  | uint16_t | drw_w,
|  | uint16_t | drw_h
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_get_video_checked()

xcb_void_cookie_t xcb_xv_get_video_checked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | vid_x,
|  | int16_t | vid_y,
|  | uint16_t | vid_w,
|  | uint16_t | vid_h,
|  | int16_t | drw_x,
|  | int16_t | drw_y,
|  | uint16_t | drw_w,
|  | uint16_t | drw_h
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

## ◆ xcb_xv_grab_port()

xcb_xv_grab_port_cookie_t xcb_xv_grab_port | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_timestamp_t | time
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_grab_port_reply()

xcb_xv_grab_port_reply_t* xcb_xv_grab_port_reply | ( | xcb_connection_t * | c,
|  | xcb_xv_grab_port_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xv_grab_port_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xv_grab_port_unchecked()

xcb_xv_grab_port_cookie_t xcb_xv_grab_port_unchecked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_timestamp_t | time
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_xv_image_end()

xcb_generic_iterator_t xcb_xv_image_end | ( | xcb_xv_image_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_xv_image_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, xcb_generic_iterator_t::rem, and xcb_xv_image_next().

## ◆ xcb_xv_image_format_info_end()

xcb_generic_iterator_t xcb_xv_image_format_info_end | ( | xcb_xv_image_format_info_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_xv_image_format_info_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_xv_image_format_info_next()

void xcb_xv_image_format_info_next | ( | xcb_xv_image_format_info_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_xv_image_format_info_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xv_image_format_info_t)

## ◆ xcb_xv_image_next()

void xcb_xv_image_next | ( | xcb_xv_image_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_xv_image_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xv_image_t)

References xcb_generic_iterator_t::data.

Referenced by xcb_xv_image_end().

## ◆ xcb_xv_list_image_formats()

xcb_xv_list_image_formats_cookie_t xcb_xv_list_image_formats | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_list_image_formats_reply()

xcb_xv_list_image_formats_reply_t* xcb_xv_list_image_formats_reply | ( | xcb_connection_t * | c,
|  | xcb_xv_list_image_formats_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xv_list_image_formats_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xv_list_image_formats_unchecked()

xcb_xv_list_image_formats_cookie_t xcb_xv_list_image_formats_unchecked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_xv_port_end()

xcb_generic_iterator_t xcb_xv_port_end | ( | xcb_xv_port_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_xv_port_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_xv_port_next()

void xcb_xv_port_next | ( | xcb_xv_port_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_xv_port_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xv_port_t)

## ◆ xcb_xv_put_image()

xcb_void_cookie_t xcb_xv_put_image | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint32_t | id,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint16_t | src_w,
|  | uint16_t | src_h,
|  | int16_t | drw_x,
|  | int16_t | drw_y,
|  | uint16_t | drw_w,
|  | uint16_t | drw_h,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint32_t | data_len,
|  | const uint8_t * | data
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_put_image_checked()

xcb_void_cookie_t xcb_xv_put_image_checked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | uint32_t | id,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint16_t | src_w,
|  | uint16_t | src_h,
|  | int16_t | drw_x,
|  | int16_t | drw_y,
|  | uint16_t | drw_w,
|  | uint16_t | drw_h,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint32_t | data_len,
|  | const uint8_t * | data
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

## ◆ xcb_xv_put_still()

xcb_void_cookie_t xcb_xv_put_still | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | vid_x,
|  | int16_t | vid_y,
|  | uint16_t | vid_w,
|  | uint16_t | vid_h,
|  | int16_t | drw_x,
|  | int16_t | drw_y,
|  | uint16_t | drw_w,
|  | uint16_t | drw_h
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_put_still_checked()

xcb_void_cookie_t xcb_xv_put_still_checked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | vid_x,
|  | int16_t | vid_y,
|  | uint16_t | vid_w,
|  | uint16_t | vid_h,
|  | int16_t | drw_x,
|  | int16_t | drw_y,
|  | uint16_t | drw_w,
|  | uint16_t | drw_h
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

## ◆ xcb_xv_put_video()

xcb_void_cookie_t xcb_xv_put_video | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | vid_x,
|  | int16_t | vid_y,
|  | uint16_t | vid_w,
|  | uint16_t | vid_h,
|  | int16_t | drw_x,
|  | int16_t | drw_y,
|  | uint16_t | drw_w,
|  | uint16_t | drw_h
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_put_video_checked()

xcb_void_cookie_t xcb_xv_put_video_checked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | int16_t | vid_x,
|  | int16_t | vid_y,
|  | uint16_t | vid_w,
|  | uint16_t | vid_h,
|  | int16_t | drw_x,
|  | int16_t | drw_y,
|  | uint16_t | drw_w,
|  | uint16_t | drw_h
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

## ◆ xcb_xv_query_adaptors()

xcb_xv_query_adaptors_cookie_t xcb_xv_query_adaptors | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_query_adaptors_reply()

xcb_xv_query_adaptors_reply_t* xcb_xv_query_adaptors_reply | ( | xcb_connection_t * | c,
|  | xcb_xv_query_adaptors_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xv_query_adaptors_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xv_query_adaptors_unchecked()

xcb_xv_query_adaptors_cookie_t xcb_xv_query_adaptors_unchecked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_xv_query_best_size()

xcb_xv_query_best_size_cookie_t xcb_xv_query_best_size | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | uint16_t | vid_w,
|  | uint16_t | vid_h,
|  | uint16_t | drw_w,
|  | uint16_t | drw_h,
|  | uint8_t | motion
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_query_best_size_reply()

xcb_xv_query_best_size_reply_t* xcb_xv_query_best_size_reply | ( | xcb_connection_t * | c,
|  | xcb_xv_query_best_size_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xv_query_best_size_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xv_query_best_size_unchecked()

xcb_xv_query_best_size_cookie_t xcb_xv_query_best_size_unchecked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | uint16_t | vid_w,
|  | uint16_t | vid_h,
|  | uint16_t | drw_w,
|  | uint16_t | drw_h,
|  | uint8_t | motion
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_xv_query_encodings()

xcb_xv_query_encodings_cookie_t xcb_xv_query_encodings | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_query_encodings_reply()

xcb_xv_query_encodings_reply_t* xcb_xv_query_encodings_reply | ( | xcb_connection_t * | c,
|  | xcb_xv_query_encodings_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xv_query_encodings_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xv_query_encodings_unchecked()

xcb_xv_query_encodings_cookie_t xcb_xv_query_encodings_unchecked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_xv_query_extension()

xcb_xv_query_extension_cookie_t xcb_xv_query_extension | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_query_extension_reply()

xcb_xv_query_extension_reply_t* xcb_xv_query_extension_reply | ( | xcb_connection_t * | c,
|  | xcb_xv_query_extension_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xv_query_extension_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xv_query_extension_unchecked()

xcb_xv_query_extension_cookie_t xcb_xv_query_extension_unchecked | ( | xcb_connection_t * | c | ) |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_xv_query_image_attributes()

xcb_xv_query_image_attributes_cookie_t xcb_xv_query_image_attributes | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | uint32_t | id,
|  | uint16_t | width,
|  | uint16_t | height
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_query_image_attributes_reply()

xcb_xv_query_image_attributes_reply_t* xcb_xv_query_image_attributes_reply | ( | xcb_connection_t * | c,
|  | xcb_xv_query_image_attributes_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xv_query_image_attributes_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xv_query_image_attributes_unchecked()

xcb_xv_query_image_attributes_cookie_t xcb_xv_query_image_attributes_unchecked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | uint32_t | id,
|  | uint16_t | width,
|  | uint16_t | height
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_xv_query_port_attributes()

xcb_xv_query_port_attributes_cookie_t xcb_xv_query_port_attributes | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_query_port_attributes_reply()

xcb_xv_query_port_attributes_reply_t* xcb_xv_query_port_attributes_reply | ( | xcb_connection_t * | c,
|  | xcb_xv_query_port_attributes_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_xv_query_port_attributes_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_xv_query_port_attributes_unchecked()

xcb_xv_query_port_attributes_cookie_t xcb_xv_query_port_attributes_unchecked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

## ◆ xcb_xv_rational_end()

xcb_generic_iterator_t xcb_xv_rational_end | ( | xcb_xv_rational_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_xv_rational_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_xv_rational_next()

void xcb_xv_rational_next | ( | xcb_xv_rational_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_xv_rational_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_xv_rational_t)

## ◆ xcb_xv_select_port_notify()

xcb_void_cookie_t xcb_xv_select_port_notify | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | uint8_t | onoff
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_select_port_notify_checked()

xcb_void_cookie_t xcb_xv_select_port_notify_checked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | uint8_t | onoff
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

## ◆ xcb_xv_select_video_notify()

xcb_void_cookie_t xcb_xv_select_video_notify | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint8_t | onoff
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_select_video_notify_checked()

xcb_void_cookie_t xcb_xv_select_video_notify_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint8_t | onoff
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

## ◆ xcb_xv_set_port_attribute()

xcb_void_cookie_t xcb_xv_set_port_attribute | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_atom_t | attribute,
|  | int32_t | value
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_set_port_attribute_checked()

xcb_void_cookie_t xcb_xv_set_port_attribute_checked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_atom_t | attribute,
|  | int32_t | value
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

## ◆ xcb_xv_shm_put_image()

xcb_void_cookie_t xcb_xv_shm_put_image | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | xcb_shm_seg_t | shmseg,
|  | uint32_t | id,
|  | uint32_t | offset,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint16_t | src_w,
|  | uint16_t | src_h,
|  | int16_t | drw_x,
|  | int16_t | drw_y,
|  | uint16_t | drw_w,
|  | uint16_t | drw_h,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint8_t | send_event
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_shm_put_image_checked()

xcb_void_cookie_t xcb_xv_shm_put_image_checked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_drawable_t | drawable,
|  | xcb_gcontext_t | gc,
|  | xcb_shm_seg_t | shmseg,
|  | uint32_t | id,
|  | uint32_t | offset,
|  | int16_t | src_x,
|  | int16_t | src_y,
|  | uint16_t | src_w,
|  | uint16_t | src_h,
|  | int16_t | drw_x,
|  | int16_t | drw_y,
|  | uint16_t | drw_w,
|  | uint16_t | drw_h,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint8_t | send_event
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

## ◆ xcb_xv_stop_video()

xcb_void_cookie_t xcb_xv_stop_video | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_drawable_t | drawable
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_stop_video_checked()

xcb_void_cookie_t xcb_xv_stop_video_checked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_drawable_t | drawable
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

## ◆ xcb_xv_ungrab_port()

xcb_void_cookie_t xcb_xv_ungrab_port | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_timestamp_t | time
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

## ◆ xcb_xv_ungrab_port_checked()

xcb_void_cookie_t xcb_xv_ungrab_port_checked | ( | xcb_connection_t * | c,
|  | xcb_xv_port_t | port,
|  | xcb_timestamp_t | time
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().